/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

#ifndef _MAPBTN_H_
#define _MAPBTN_H_

//
// mapbtn.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CColorBtn window

class CMapColorBtn : public CBitmapButton
{
// Construction
public:
   CMapColorBtn(int nColorIndex, LPCSTR lpString=NULL);
   CMapColorBtn();
   void SetColor(int nColorIndex);
   void SetBtnTitle(LPCSTR lpString=NULL);
   
// Attributes
protected:
    int      m_nColorIndex;
    CString  m_string;
    
public:
    BOOL     m_bHighlight;
     
protected:   
           void DrawColorBtn(CDC *pDC,LPDRAWITEMSTRUCT pDrawItem);
   virtual void DrawUpFrame(CDC *pDC, LPRECT pRect);   
   virtual void DrawDownFrame(CDC *pDC, LPRECT pRect);   
   
// Implementation
public:
   virtual ~CMapColorBtn();
   virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);

protected:
   // Generated message map functions
   //{{AFX_MSG(CMapColorBtn)
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

#endif
